Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Map_Entry Class Template Reference

An entry in the Map. More...

`#include <Map_Manager.h>`

Inheritance diagram for ACE_Map_Entry:

[legend]
Collaboration diagram for ACE_Map_Entry:

[legend]
List of all members.

## Public Methods
| ~ACE_Map_Entry (void)
| We need this destructor to keep some compilers from complaining. It's just a no-op, however. More...
void | dump (void) const
| Dump the state of an object. More...
ACE_UINT32 | next (void) const
| Get next entry. More...
void | next (ACE_UINT32 n)
| Set next entry. More...
ACE_UINT32 | prev (void) const
| Get prev entry. More...
void | prev (ACE_UINT32 p)
| Set prev entry. More...
## Public Attributes
EXT_ID | ext_id_
| Key used to look up an entry. More...
INT_ID | int_id_
| The contents of the entry itself. More...
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks. More...
ACE_UINT32 | next_
| Keeps track of the next entry. More...
ACE_UINT32 | prev_
| Keeps track of the previous entry. More...

## Detailed Description

### template<class EXT_ID, class INT_ID>
class ACE_Map_Entry< EXT_ID, INT_ID >

An entry in the Map.

## Constructor & Destructor Documentation

template<class EXT_ID, class INT_ID>
ACE_INLINE ACE_Map_Entry< EXT_ID, INT_ID >::~ACE_Map_Entry | ( | void |  | ) |

| We need this destructor to keep some compilers from complaining. It's just a no-op, however.

## Member Function Documentation

template<class EXT_ID, class INT_ID>
void ACE_Map_Entry< EXT_ID, INT_ID >::dump | ( | void |  | ) | const

| Dump the state of an object.

template<class EXT_ID, class INT_ID>
ACE_INLINE void ACE_Map_Entry< EXT_ID, INT_ID >::next | ( | ACE_UINT32 | n | ) |

| Set next entry.

template<class EXT_ID, class INT_ID>
ACE_INLINE ACE_UINT32 ACE_Map_Entry< EXT_ID, INT_ID >::next | ( | void |  | ) | const

| Get next entry.

template<class EXT_ID, class INT_ID>
ACE_INLINE void ACE_Map_Entry< EXT_ID, INT_ID >::prev | ( | ACE_UINT32 | p | ) |

| Set prev entry.

template<class EXT_ID, class INT_ID>
ACE_INLINE ACE_UINT32 ACE_Map_Entry< EXT_ID, INT_ID >::prev | ( | void |  | ) | const

| Get prev entry.

## Member Data Documentation

template<class EXT_ID, class INT_ID>
ACE_Map_Entry::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

template<class EXT_ID, class INT_ID>
EXT_ID ACE_Map_Entry::ext_id_

| Key used to look up an entry.

template<class EXT_ID, class INT_ID>
INT_ID ACE_Map_Entry::int_id_

| The contents of the entry itself.

template<class EXT_ID, class INT_ID>
ACE_UINT32 ACE_Map_Entry::next_

| Keeps track of the next entry.

template<class EXT_ID, class INT_ID>
ACE_UINT32 ACE_Map_Entry::prev_

| Keeps track of the previous entry.

The documentation for this class was generated from the following files:

- Map_Manager.h
- Map_Manager.cpp
- Map_Manager.i